#ifndef CAMCONFIG_H
#define CAMCONFIG_H

/***********************************************************
    Module Name: CamConfig.h
    Module Date: 04/12/2004
    Module Auth: John Orlando 
    Copyright (c) 2004 John Orlando  All Rights Reserved 

    Description: This file provides the external interface
    to the CamConfig module.
    ***********************************************************/

#include "I2CInterface.h"

/* This is the I2C slave address of the OV6620 module.
    NOTE: The actual address of the camera is 0xC0.  However,
    the TWI interface on the mega8 needs to have the address
    shifted one bit to the right, which yields 0x60.  The
    LSB is used to set whether the operation is read or
    write. */
#define CAM_ADDRESS 0x60

extern i2cCmd_t CamConfig_txFifo[];
extern unsigned char 	CamConfig_txFifoHead;
extern unsigned char 	CamConfig_txFifoTail;
extern bool_t 	      CamConfig_txComplete;

extern void  	CamConfig_init(void);
extern bool_t 	CamConfig_writeTxFifo(i2cCmd_t cmd);
extern void  	CamConfig_setCamReg(unsigned char reg, unsigned char val);
extern void  	CamConfig_sendFifoCmds(void);

#endif

