#ifndef COMMONDEFS_H
#define COMMONDEFS_H

/***********************************************************
    Module Name: CommonDefs.h
    Module Date: 04/10/2004
    Module Auth: John Orlando 
    Copyright (c) 2004 John Orlando  All Rights Reserved 

    Description: This module provides some of the generic
    definitions and declarations needed by the AVRcam
    system.
    ***********************************************************/

#include <avr/interrupt.h>

/*  Defines  */
/* 	FOSC defines the frequency of the crystal connected to
    the mega8, supplying the instruction clock cycle */
#define FOSC 16000000

/* For defining boolean operations */
typedef unsigned char bool_t;
#define TRUE  1
#define FALSE 0

#define BIT0 0
#define BIT1 1
#define BIT2 2
#define BIT3 3
#define BIT4 4
#define BIT5 5
#define BIT6 6
#define BIT7 7

#define DISABLE_INTS() cli()
#define ENABLE_INTS()  sei()

//#define SIMULATION 	1
//#define SLOW_FRAMES	1
//#define DEBUG_FRAME_DATA 1
//#define DEBUG_TRACKED_LINE 1
//#define DEBUG_COLOR_MAP 1
#define COMPLETE_COLOR_MAP 1

#endif

