#ifndef I2CINTERFACE_H
#define I2CINTERFACE_H

/***********************************************************
    Module Name: I2CInterface.h
    Module Date: 04/10/2004
    Module Auth: John Orlando 
    Copyright (c) 2004 John Orlando  All Rights Reserved 

    Description: This module provides the external interface
    to the I2C hardware available on the mega8.  It also
    contains defines and declarations for how the I2C
    interface will be used in this system.
    ***********************************************************/

#include "CommonDefs.h"

/*  Structures and Typedefs */
typedef struct
{
    unsigned char configReg;
    unsigned char data;
} i2cCmd_t;

/*  Defines   */
/*  The I2C interface will run at 100 KHz (the OV6620 can
    support up to 400 KHz, but this hasn't been tested) */
#define I2C_SPEED 100000


/*  External Function Prototypes */
extern void  I2CInt_init(void);
extern void  I2CInt_writeData(unsigned char address, unsigned char *data, unsigned char bytes);
extern void  I2CInt_readData(unsigned char address, unsigned char *data, unsigned char bytes);
extern bool_t I2CInt_isI2cBusy(void);



#endif

