package img.lang;

import java.awt.*;
import java.util.logging.*;
import java.util.prefs.*;
import javax.swing.*;

import img.device.*;

public class ImageSystem {

   public static final Device DEVICE;
   public static final Logger LOG;
   public static final Preferences PREFS;
   public static final Resource RES;
   public static final JFileChooser FILE_CHOOSER;
   public static final String BAYER_FILE_EXT;

   public static final int IMAGE_WIDTH;
   public static final int IMAGE_HEIGHT;

   public static final int NUM_INTENSITIES;

   static {

      LOG = Logger.getLogger("Imaging");
      LOG.setLevel(Level.ALL);

      PREFS = Preferences.userRoot().node("Imaging");

      RES = new Resource("img.resource.img");

      FILE_CHOOSER = new JFileChooser(".");

      BAYER_FILE_EXT = RES.getString("file.ext.byr");

      IMAGE_WIDTH = RES.getInt("image.width");
      IMAGE_HEIGHT = RES.getInt("image.height");

      NUM_INTENSITIES = 16;

      DEVICE = new Device();

   }

   private ImageSystem() {
   }

}
