package log.swing;



import java.awt.event.*;

import java.lang.reflect.*;

import javax.swing.*;



public class ProxyAction extends AbstractAction {



   private Object target;

   private Method method;



   public ProxyAction(Object target, String methodName, String name) throws NoSuchMethodException {

      this(target, methodName, name, -1, false);

   }



   public ProxyAction(Object target, String methodName, String name, int key) throws NoSuchMethodException {

      this(target, methodName, name, key, false);

   }



   public ProxyAction(Object target, String methodName, String name, boolean passArgument) throws NoSuchMethodException {

      this(target, methodName, name, -1, passArgument);

   }



   public ProxyAction(Object target, String methodName, String name, int key, boolean passArgument) throws NoSuchMethodException {

      this(target, target.getClass().getMethod(methodName, (passArgument ? new Class[] { ActionEvent.class } : null)), name, key);

   }



   public ProxyAction(Object target, Method method, String name, int key) {

      super(name);

      this.target = target;

      this.method = method;

      if(key != -1) {

         putValue(Action.MNEMONIC_KEY, new Integer(key));

      }

   }



   public void actionPerformed(ActionEvent ae) {

      try {

         if(method.getParameterTypes().length > 0) {

            method.invoke(target, new Object[] { ae });

         } else {

            method.invoke(target, null);

         }

      } catch(Exception e) {

         e.printStackTrace(System.err);

      }

   }



}

